libvisio::VSDMetaData Class Reference

`#include <VSDMetaData.h>`

## Public Member Functions

| VSDMetaData ()
| ~VSDMetaData ()
bool | parse (librevenge::RVNGInputStream *input)
bool | parseTimes (librevenge::RVNGInputStream *input)
const librevenge::RVNGPropertyList & | getMetaData ()

## Private Member Functions

| VSDMetaData (const VSDMetaData &)
VSDMetaData & | operator= (const VSDMetaData &)
void | readPropertySetStream (librevenge::RVNGInputStream *input)
void | readPropertySet (librevenge::RVNGInputStream *input, uint32_t offset, char *FMTID)
void | readPropertyIdentifierAndOffset (librevenge::RVNGInputStream *input)
void | readTypedPropertyValue (librevenge::RVNGInputStream *input, uint32_t index, uint32_t offset, char *FMTID)
librevenge::RVNGString | readCodePageString (librevenge::RVNGInputStream *input)
uint32_t | getCodePage ()

## Private Attributes

std::vector< std::pair< uint32_t, uint32_t > > | m_idsAndOffsets
std::map< uint16_t, uint16_t > | m_typedPropertyValues
librevenge::RVNGPropertyList | m_metaData

## Constructor & Destructor Documentation

## VSDMetaData() [1/2]

libvisio::VSDMetaData::VSDMetaData | ( |  | ) |

Referenced by operator=(), and VSDMetaData().

## ~VSDMetaData()

libvisio::VSDMetaData::~VSDMetaData | ( |  | ) |

## VSDMetaData() [2/2]

libvisio::VSDMetaData::VSDMetaData | ( | const VSDMetaData & |  | ) |

private

## Member Function Documentation

## getCodePage()

uint32_t libvisio::VSDMetaData::getCodePage | ( |  | ) |

private

Referenced by readCodePageString().

## getMetaData()

const librevenge::RVNGPropertyList & libvisio::VSDMetaData::getMetaData | ( |  | ) |

Referenced by libvisio::VSDParser::parseMetaData().

## operator=()

VSDMetaData & libvisio::VSDMetaData::operator= | ( | const VSDMetaData & |  | ) |

private

## parse()

bool libvisio::VSDMetaData::parse | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libvisio::VSDParser::parseMetaData().

## parseTimes()

bool libvisio::VSDMetaData::parseTimes | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libvisio::VSDParser::parseMetaData().

## readCodePageString()

librevenge::RVNGString libvisio::VSDMetaData::readCodePageString | ( | librevenge::RVNGInputStream * | input | ) |

private

Referenced by readTypedPropertyValue().

## readPropertyIdentifierAndOffset()

void libvisio::VSDMetaData::readPropertyIdentifierAndOffset | ( | librevenge::RVNGInputStream * | input | ) |

private

Referenced by readPropertySet().

## readPropertySet()

void libvisio::VSDMetaData::readPropertySet | ( | librevenge::RVNGInputStream * | input,
|  | uint32_t | offset,
|  | char * | FMTID )

private

Referenced by readPropertySetStream().

## readPropertySetStream()

void libvisio::VSDMetaData::readPropertySetStream | ( | librevenge::RVNGInputStream * | input | ) |

private

Referenced by parse().

## readTypedPropertyValue()

void libvisio::VSDMetaData::readTypedPropertyValue | ( | librevenge::RVNGInputStream * | input,
|  | uint32_t | index,
|  | uint32_t | offset,
|  | char * | FMTID )

private

Referenced by readPropertySet().

## Member Data Documentation

## m_idsAndOffsets

std::vector< std::pair<uint32_t, uint32_t> > libvisio::VSDMetaData::m_idsAndOffsets

private

Referenced by getCodePage(), readPropertyIdentifierAndOffset(), readPropertySet(), readTypedPropertyValue(), and VSDMetaData().

## m_metaData

librevenge::RVNGPropertyList libvisio::VSDMetaData::m_metaData

private

Referenced by getMetaData(), parseTimes(), readTypedPropertyValue(), and VSDMetaData().

## m_typedPropertyValues

std::map<uint16_t, uint16_t> libvisio::VSDMetaData::m_typedPropertyValues

private

Referenced by getCodePage(), readTypedPropertyValue(), and VSDMetaData().

The documentation for this class was generated from the following files:

- VSDMetaData.h
- VSDMetaData.cpp